Bug Hunting Session
Bug 102053 - Alt-A hotkey is assigned to two widgets on hyperlink dialog
Summary: Alt-A hotkey is assigned to two widgets on hyperlink dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.7.2 release
Hardware: All All
: low trivial
Assignee: Yousuf Philips (jay) (retired)
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Shortcuts-Accelerators Hyperlink-Dialog
  Show dependency treegraph
 
Reported: 2016-09-10 21:26 UTC by Dmitry
Modified: 2017-10-05 20:30 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Hyperlink dialog with conflicting widgets highlighted (25.83 KB, image/png)
2016-09-10 21:26 UTC, Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry 2016-09-10 21:26:29 UTC
Created attachment 127251 [details]
Hyperlink dialog with conflicting widgets highlighted

Steps to reproduce:
- Open Hyperlink dialog (Insert → Hyperlink).
- Press Alt-A.

Expected: "Apply" is invoked.
Actual: "Name" is focused.
Comment 1 Jean-Baptiste Faure 2016-09-18 07:49:50 UTC
I do not see hotkeys for fields in this dialog in LO 5.2, I see hotkeys only for buttons. So no duplicate hotkeys. I do not known if there is a bug somewhere and, if there is a bug, where it is. ;-)

Best regards. JBF
Comment 2 Dmitry 2016-09-21 22:16:25 UTC
I have just installed LO 5.2.1.2 – it has the same problem and the dialog looks identical. Could you please attach (or share in any way) the screenshot of the dialog that you see?
Comment 3 Jean-Baptiste Faure 2016-09-24 08:22:26 UTC
(In reply to Dmitry from comment #2)
> I have just installed LO 5.2.1.2 – it has the same problem and the dialog
> looks identical. Could you please attach (or share in any way) the
> screenshot of the dialog that you see?

On my system (Ubuntu / Unity) hotkeys are visible only when pressing Alt key, so I am not able to make a screencopy.

What is your OS ?

Best regards. JBF
Comment 4 Dmitry 2016-09-25 17:28:35 UTC
OS is Windows x64.
Comment 5 Buovjaga 2016-10-06 11:15:27 UTC
Confirmed. You can advance by pressing Alt-A again.

In 3.5, Apply does not have an accelerator.

Win 7 Pro 64-bit, Version: 5.2.2.2 (x64)
Build ID: 8f96e87c890bf8fa77463cd4b640a2312823f3ad
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
Locale: fi-FI (fi_FI); Calc: CL

Version: 5.3.0.0.alpha0+
Build ID: 7da2f3ce9f7b049c177a735a146dae84a764d3f7
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2016-10-04_03:49:06
Locale: fi-FI (fi_FI); Calc: CL
Comment 6 Xisco Faulí 2017-10-05 08:14:44 UTC
Still reproducible in

Version: 6.0.0.0.alpha0+
Build ID: 96e67461c8b451f3a313bcc973ac49c5e49537c0
CPU threads: 1; OS: Windows 6.1; UI render: default; 
Locale: es-ES (es_ES); Calc: group

@Jay, one for you ?
Comment 7 Yousuf Philips (jay) (retired) 2017-10-05 15:31:19 UTC
Patch is in
https://gerrit.libreoffice.org/43173
Comment 8 Commit Notification 2017-10-05 20:16:59 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=58ba9226e408d56c655184940fd326bae9345fb6

tdf#102053 make alt+a unique in hyperlink dialog

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.